Bug 1031825 - librepo-1.3.0-1.fc20: test_gpg fails on power
librepo-1.3.0-1.fc20: test_gpg fails on power
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: librepo (Show other bugs)
20
powerpc Linux
urgent Severity urgent
: ---
: ---
Assigned To: Tomas Mlcoch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20PPCFinal
  Show dependency treegraph
 
Reported: 2013-11-18 16:22 EST by David Aquilina
Modified: 2014-06-23 20:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: librepo-1.4.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-24 18:45:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Aquilina 2013-11-18 16:22:38 EST
Description of problem:

The test_gpg test of librepo-1.3.0-1.fc20 fails on power: 

test 1
    Start 1: test_main
1: Test command: /builddir/build/BUILD/librepo/tests/test_main "/builddir/build/BUILD/librepo/tests/test_data/"
1: Test timeout computed to be: 9.99988e+06
1: Tests using directory: /tmp/librepoKEQWU8
1: Running suite(s): cheksum
1:  gpg
1:  handle
1:  internal_mirrorlist
1:  metalink
1:  mirrorlist
1:  package_downloader
1:  repomd
1:  url_substitution
1:  util
1:  version
1: 97%: Checks: 37, Failures: 1, Errors: 0
1: /builddir/build/BUILD/librepo/tests/test_gpg.c:83:F:Main:test_gpg_check_signature:0: Failure '!ret' occured
1/2 Test #1: test_main ........................***Failed    0.15 sec

full build log: http://ppc.koji.fedoraproject.org/kojifiles/work/tasks/5916/1535916/build.log

Note that dnf-0.7.4-1 (which is in f20 stable) requires this version of librepo or greater, therefore this bug blocks Fedora for Power from composing Fedora 20.
Comment 1 Fedora Update System 2013-11-19 03:51:55 EST
librepo-1.4.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/librepo-1.4.0-1.fc20
Comment 2 Fedora Update System 2013-11-19 16:50:13 EST
Package librepo-1.4.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing librepo-1.4.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21715/librepo-1.4.0-1.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-11-24 18:45:17 EST
librepo-1.4.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.